Subject: Re: [PATCH] net: fix print in skb_panic()

From: Breno Leitao <[email-masked]>
Date: Thu, 7 Mar 2024 01:19:25 -0800

On Thu, Mar 07, 2024 at 07:29:47AM +0100, Eric Dumazet wrote:
> On Thu, Mar 7, 2024 at 7:12 AM gaoxingwang <[email-masked]> wrote:
> >
> > skb->len and sz are printed as negative numbers during the panic:
> > skbuff: skb_under_panic: text:ffffffff8e2d3eac len:-1961180312 put:-1961180408 head:ffff88800b6ac000 data:ffff887f804ffe78 tail:0x1e0 end:0xec0 dev:team0
> >
> 
> This was on purpose.
> 
> I prefer the negative values, I find this more useful to immediately
> spot the issue.

I missed this reply, sorry. Please ignore my previous reviewed-by. I
didn't have this context.